<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class where=" del=0" name="cn.exlive.mygpsonline.bean.User" table="[User]" schema="dbo" >
        <id name="id" type="java.lang.Integer">
            <column name="ID" />
            <generator class="native" />
        </id>
        <property name="userName" type="java.lang.String">
            <column name="监控员名称" length="50" not-null="true" />
        </property>
        <property name="userPwd" type="java.lang.String">
            <column name="监控员密码" length="50" />
        </property>
        <property name="createtime" type="java.util.Date">
            <column name="createtime" length="23" not-null="true" />
        </property>
        <property name="creater" type="java.lang.Integer">
            <column name="creater" not-null="true" />
        </property>
        <property name="isenable" type="java.lang.Integer">
            <column name="isenable" not-null="true" />
        </property>
        <property name="overduetime" type="java.util.Date">
            <column name="overduetime" length="23" not-null="true" />
        </property>
        <property name="userType" type="java.lang.Integer">
            <column name="user_type" not-null="true" />
        </property>
        <property name="groupCount" type="java.lang.Integer">
            <column name="group_count" not-null="true" />
        </property>
        <property name="vhcCount" type="java.lang.Integer">
            <column name="vhc_count" not-null="true" />
        </property>
        <property name="userCount" type="java.lang.Integer">
            <column name="user_count" not-null="true" />
        </property>
        <property name="groupRight" type="java.lang.Integer">
            <column name="group_right" not-null="true" />
        </property>
        <property name="vhcRight" type="java.lang.Integer">
            <column name="vhc_right" not-null="true" />
        </property>
        <property name="userRight" type="java.lang.Integer">
            <column name="user_right" not-null="true" />
        </property>
        <property name="activetime" type="java.util.Date">
            <column name="activetime" length="23" not-null="true" />
        </property>
        <property name="state" type="java.lang.Integer">
            <column name="state" not-null="true" />
        </property>
        <property name="logincounter" type="java.lang.Integer">
            <column name="logincounter" not-null="true" />
        </property>
        <property name="modifyflag" type="java.lang.Integer">
            <column name="modifyflag" not-null="true" />
        </property>
        <property name="opRight" type="java.lang.Integer">
            <column name="op_right" not-null="true" />
        </property>
        <property name="companyName" type="java.lang.String">
            <column name="company_name" length="50" not-null="true" />
        </property>
        <property name="companyLogo" type="java.lang.String">
            <column name="company_logo" length="100" not-null="true" />
        </property>
        <property name="companyUrl" type="java.lang.String">
            <column name="company_url" length="50" not-null="true" />
        </property>
        <property name="companyAddr" type="java.lang.String">
            <column name="company_addr" length="50" not-null="true" />
        </property>
        <property name="companyTel" type="java.lang.String">
            <column name="company_tel" length="20" not-null="true" />
        </property>
        <property name="companyFax" type="java.lang.String">
            <column name="company_fax" length="20" not-null="true" />
        </property>
        <property name="companyPostcode" type="java.lang.String">
            <column name="company_postcode" length="50" not-null="true" />
        </property>
        <property name="companyCopyright" type="java.lang.String">
            <column name="company_copyright" length="50" not-null="true" />
        </property>
        <property name="qq" type="java.lang.String">
            <column name="qq" length="50" not-null="true" />
        </property>
        <property name="email" type="java.lang.String">
            <column name="email" length="50" not-null="true" />
        </property>
        <property name="phone" type="java.lang.String">
            <column name="phone" length="50" not-null="true" />
        </property>
        <property name="msn" type="java.lang.String">
            <column name="msn" length="50" not-null="true" />
        </property>
        <property name="seeNext" type="java.lang.Integer">
            <column name="see_next" not-null="true" />
        </property>
        <property name="entcode" type="java.lang.String">
            <column name="entcode" length="100" not-null="true" />
        </property>
        <property name="clientID" type="java.lang.Integer">
            <column name="clientID" not-null="true" />
        </property>
        <property name="del" type="java.lang.Integer">
            <column name="del" not-null="true" />
        </property>
        <property name="ugn" type="java.lang.Integer">
            <column name="ugn" not-null="true" />
        </property>
        <property name="serverId" type="java.lang.Integer">
            <column name="serverId" not-null="true" />
        </property>
    </class>
</hibernate-mapping>
